Bug 864911 - service tuned restart produces AVCs
service tuned restart produces AVCs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 07:33 EDT by Milos Malik
Modified: 2012-12-20 11:23 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-35.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-10-10 07:33:51 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-3.11.1-32.fc18.noarch
selinux-policy-targeted-3.11.1-32.fc18.noarch
selinux-policy-devel-3.11.1-32.fc18.noarch
tuned-2.0.1-5.fc18.noarch
tuned-utils-2.0.1-5.fc18.noarch

How reproducible:
always

Steps to Reproduce:
# service tuned restart
# ausearch -m avc -ts recent
  
Actual results:
----
type=SYSCALL msg=audit(10/10/2012 12:25:48.523:498) : arch=i386 syscall=sched_setscheduler success=no exit=-13(Permission denied) a0=0x14e0 a1=0x0 a2=0xbfe531cc a3=0xb73cb6c0 items=0 ppid=5342 pid=5344 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=python exe=/usr/bin/python2.7 subj=system_u:system_r:tuned_t:s0 key=(null) 
type=AVC msg=audit(10/10/2012 12:25:48.523:498) : avc:  denied  { setsched } for  pid=5344 comm=python scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:tuned_t:s0 tclass=process 
----
type=SYSCALL msg=audit(10/10/2012 12:25:48.526:499) : arch=i386 syscall=open success=no exit=-13(Permission denied) a0=0xb6c2589e a1=O_RDONLY a2=0x1b6 a3=0x8322e38 items=0 ppid=5342 pid=5344 auid=unset uid=root gid=root euid=root suid=root fsuid=root egid=root sgid=root fsgid=root tty=(none) ses=unset comm=python exe=/usr/bin/python2.7 subj=system_u:system_r:tuned_t:s0 key=(null) 
type=AVC msg=audit(10/10/2012 12:25:48.526:499) : avc:  denied  { read } for  pid=5344 comm=python name=/ dev="tmpfs" ino=11297 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:object_r:tmp_t:s0 tclass=dir 
----

Expected results:
 * no AVCs
Comment 1 Miroslav Grepl 2012-10-10 07:47:59 EDT
Fixed in selinux-policy-3.11.1-35.fc18
Comment 2 Fedora Update System 2012-10-11 05:05:00 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 3 Fedora Update System 2012-10-11 13:23:36 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:23:04 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.